<template>
	<div class="bg-white">
	
		<iframe
			ref="iframeRef"
			src="http://www.xpump.net/iie-mobile?v=333323332"
			class="w-full h-full border-none overflow-hidden"
		></iframe>
	</div>
</template>

<script setup lang="ts" name="CustomerService">
const emit = defineEmits(['close']);

import { ref, onMounted } from 'vue';

const iframeRef = ref<HTMLIFrameElement>();

onMounted(() => {
	window.addEventListener('message', (event) => {
		if (event.data.type === 'close') {
			emit('close');
		}
	});
});
</script>
<style scoped lang="scss"></style>
